#' Read default configuration of the package and complete it with eventual user config
#'
#' @param userFile location of the user config YML file
#' @param pathDefaultCfg The location of the default configuration (located in "inst/config.yml" of the package by default)
#'
#' @return A configuration as it is returned by [config::get]
#' @export
#'
#' @examples
#' cfg <- loadConfig()
#' str(cfg)
loadConfig <- function(userFile = "config.yml", pathDefaultCfg = system.file("config.yml", package = "TalanoaHydro")) {
  cfg <- config::get(file = pathDefaultCfg)
  if (file.exists(userFile)) {cfg = config::merge(cfg,config::get(file = userFile))}
  # By default results are written in the DB if the DB is local
  if (is.null(cfg$data$write_results)) cfg$data$write_results <- !cfg$data$cloud
  cfg
}
