% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/render_report.R, R/render_reports.R
\name{render_report}
\alias{render_report}
\alias{render_reports}
\title{Render reports}
\usage{
render_report(
  path_report,
  path_publish,
  output_format = Sys.getenv("BOOKDOWN_FORMAT", "bookdown::gitbook"),
  clean_cache = FALSE,
  ...
)

render_reports(
  path_reports = "./reports",
  reports = list.files(path_reports, pattern = "^[0-9]{2}-.*$"),
  path_publish = "./public/reports",
  ...
)
}
\arguments{
\item{path_report}{\link{character} report path}

\item{path_publish}{\link{character} rendering output path}

\item{output_format}{output format, see \link[bookdown:render_book]{bookdown::render_book}. Only
\code{"bookdown::gitbook"} and \code{"bookdown::pdf_book"} are currently handled}

\item{clean_cache}{\link{logical} clean Rmarkdown cache files}

\item{...}{Parameters passed to \link{render_report} and \link[bookdown:render_book]{bookdown::render_book}}

\item{path_reports}{\link{character} path for the reports}

\item{reports}{\link{character} subfolders containing each report}
}
\value{
\code{NULL}, this function is used for side effect.
}
\description{
Render reports
}
